| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TestUDPv4TransportOptions Struct Reference

`#include <test_UDPv4TransportDescriptor.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | TestUDPv4TransportOptions ()=default
| ~TestUDPv4TransportOptions ()=default

## Public Attributes

std::atomic< bool > | test_UDPv4Transport_ShutdownAllNetwork {false}
std::vector< std::vector< fastdds::rtps::octet > > | test_UDPv4Transport_DropLog {}
std::atomic< uint32_t > | test_UDPv4Transport_DropLogLength {0}
std::atomic< bool > | always_drop_participant_builtin_topic_data {false}
std::atomic< bool > | simulate_no_interfaces {false}
test_UDPv4TransportDescriptor::DestinationLocatorFilter | locator_filter

## Constructor & Destructor Documentation

## ◆ TestUDPv4TransportOptions()

FASTDDS_EXPORTED_API TestUDPv4TransportOptions | ( |  | ) |

default

## ◆ ~TestUDPv4TransportOptions()

~TestUDPv4TransportOptions | ( |  | ) |

default

## Member Data Documentation

## ◆ always_drop_participant_builtin_topic_data

std::atomic<bool> always_drop_participant_builtin_topic_data {false}

## ◆ locator_filter

test_UDPv4TransportDescriptor::DestinationLocatorFilter locator_filter

Initial value:
= [](const Locator&)
{
return false;
}
eprosima::fastdds::rtps::Locator
eprosima::fastdds::rtps::Locator_t Locator
Definition Locator.hpp:523

## ◆ simulate_no_interfaces

std::atomic<bool> simulate_no_interfaces {false}

## ◆ test_UDPv4Transport_DropLog

std::vector<std::vector<fastdds::rtps::octet> > test_UDPv4Transport_DropLog {}

## ◆ test_UDPv4Transport_DropLogLength

std::atomic<uint32_t> test_UDPv4Transport_DropLogLength {0}

## ◆ test_UDPv4Transport_ShutdownAllNetwork

std::atomic<bool> test_UDPv4Transport_ShutdownAllNetwork {false}

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/transport/test_UDPv4TransportDescriptor.hpp